// Card123Dlg.h : header file
//

#if !defined(AFX_CARD123DLG_H__33B5EDAE_D161_49B5_868B_441CC0120CA9__INCLUDED_)
#define AFX_CARD123DLG_H__33B5EDAE_D161_49B5_868B_441CC0120CA9__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "WOOSIM_PRINTER_LIB.h"

/////////////////////////////////////////////////////////////////////////////
// CCard123Dlg dialog

class CCard123Dlg : public CDialog
{
// Construction
public:

	void PrtForm1();
	CCard123Dlg(CWnd* pParent = NULL);	// standard constructor

	int intReturnValue;				//함수 호출시 리턴값저장 
	CString strDataHex, strDataAscii;
	int cnt;

// Dialog Data
	//{{AFX_DATA(CCard123Dlg)
	enum { IDD = IDD_CARD123_DIALOG };
	CButton	m_chkCtrlTcpip;
	CComboBox	m_cboCtrlProtocol;
	CComboBox	m_cboCtrlSetPort;
	CButton	m_btnCtrlAscii;
	CButton	m_btnCtrlHex;
	CComboBox	m_cboCtrlBaud;
	CString	m_strCardNo;
	CString	m_strValidDate;
	CString	m_strStatus;
	CString	m_strMsg;
	CString	m_strReceiveData;
	CString	m_strIP;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCard123Dlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	virtual LRESULT DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CCard123Dlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnButtonPrint();
	afx_msg void OnButtonCardCancel();
	afx_msg void OnButtonCard1();
	afx_msg void OnButtonCard2();
	afx_msg void OnButtonReConnect();
	virtual void OnOK();
	afx_msg void OnDestroy();
	afx_msg void OnButtonAscii();
	afx_msg void OnButtonHex();
	afx_msg void OnButtonPrintCancel();
	afx_msg void OnButton2();
	afx_msg void OnButton2dBar();
	afx_msg void OnButtonKorPrint();
	afx_msg void OnButtonClose();
	afx_msg void OnButton3();
	afx_msg void OnButton1dBar2();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft eMbedded Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CARD123DLG_H__33B5EDAE_D161_49B5_868B_441CC0120CA9__INCLUDED_)
